---
- name: Deploy ska-ser-namespace-manager
  hosts: "{{ target_hosts }}"
  vars:
    target_hosts: localhost
  gather_facts: true
  pre_tasks:
    - name: Check k8s_kubeconfig
      ansible.builtin.debug:
        var: k8s_kubeconfig
  tasks:
    - name: Deploy ska-ser-namespace-manager
      ansible.builtin.import_role:
        name: ska_ser_namespace_manager
  environment:
    KUBECONFIG: "{{ k8s_kubeconfig | default(lookup('ansible.builtin.env', 'KUBECONFIG', default='/etc/kubernetes/admin.conf')) }}"
  tags:
    - ska_ser_namespace_manager
